package gr.uoc.csd.hy539.helloworld;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.PrintStream;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;

import android.os.Bundle;
import android.os.Environment;
import android.app.Activity;
import android.view.Menu;
import android.widget.TextView;

/*
 * Step 2 - SecondActivity
 * 
 * All Activities are activated through an Intent.
 * 
 * As you can see in MainActivity, we start the current Activity
 * with an Intent, in which we have put a String. Here, we want
 * retrieve that String and present it on screen. 
 */
public class SecondActivity extends Activity {
	TextView textView2;

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_second);
        textView2= (TextView) findViewById(R.id.textView2);
        /*
         * Get data from the intent that started this Activity
         */
        Bundle b= getIntent().getExtras();
    	String string1= (String) b.getString("string1");
    	/*
    	 * Check that the retrieved string is not null or empty.
    	 */
    	if (string1 == null)
    		string1="String not found";
    	else if (string1.length() == 0)
    		string1="[Empty String]";
    	/*
    	 * Show the retrieved string on screen.
    	 */    	
    	textView2.setText(string1);
    	
    	/*
    	 * Step 3 - write the retrieved String in a file, in the SD card.
    	 * 
    	 * We need user permission to write on the external storage.
    	 * 
    	 * Note that files in the SD card are public and all Applications
    	 * and users will have access to it. If you want to store private
    	 * data, use the Internal Storage.
    	 * 
    	 * Read more about Android storage options here:
    	 * http://developer.android.com/guide/topics/data/data-storage.html
    	 */
    	File sdCard = Environment.getExternalStorageDirectory();
		File dir = new File(sdCard.getAbsolutePath() + "/hy539-strings");
		dir.mkdirs();
		DateFormat dateFormat = new SimpleDateFormat("yy-MM-dd_HH-mm-ss");
    	String dateString = dateFormat.format(new Date());
		File txtFile = new File(dir, dateString+".txt");
		try {
			PrintStream txtPrintStream = new PrintStream(new FileOutputStream(txtFile), true);
			txtPrintStream.print(string1);
			txtPrintStream.flush();
			txtPrintStream.close();
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		}
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.activity_second, menu);
        return true;
    }

    
}
